# Company Signals

Retrieve signal events for a list of companies — hiring activity, headcount changes, web traffic, IT spend, and news.

Pass up to 100 company ids. Use signalTypes to specify which signals to return (or use allSignals). Optionally set a startDate to limit results to recent activity.

> Billing: Charged per matched signal per result via the showSignalsCompany action.

Endpoint: POST /v3/companies/signals
Security: ApiKeyAuth

## Request fields (application/json):

  - `ids` (array, required)
    Example: ["16303253"]

  - `signalTypes` (array, required)
    Enum: "allSignals", "websiteTrafficDecrease", "websiteTrafficIncrease", "itSpendIncrease", "itSpendDecrease", "surgeInHiring", "headcountIncrease1m", "headcountIncrease3m", "headcountIncrease6m", "headcountIncrease12m", "headcountDecrease1m", "headcountDecrease3m", "headcountDecrease6m", "headcountDecrease12m", "surgeInHiringByDepartment", "surgeInHiringByLocation", "riskNews", "commercialActivityNews", "corporateStrategyNews", "financialEventsNews", "peopleNews", "marketIntelligenceNews", "productActivityNews"

  - `startDate` (string)
    Example: "2025-01-01"

  - `maxResultsPerSignal` (integer)
    Example: 10

## Response 200 fields (application/json):

  - `results` (array)

  - `results.id` (string)
    Example: "16303253"

  - `results.companyName` (string)
    Example: "Lusha"

  - `results.domain` (string)
    Example: "lusha.com"

  - `startDate` (string)

  - `endDate` (string)

  - `billing` (object)
    Credit usage summary for a V3 API request

  - `billing.creditsCharged` (integer)
    Total credits charged for this request
    Example: 3

  - `billing.resultsReturned` (integer)
    Number of successful results returned
    Example: 1

## Response 400 fields (application/json):

  - `statusCode` (integer, required)
    HTTP status code
    Example: 400

  - `message` (string, required)
    Error message
    Example: "Validation failed"

  - `errors` (array)
    Detailed error messages (optional, only for validation errors)
    Example: ["entityType must be one of: contact, company"]


